WSRSSessionToken
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.elements
Class WSRSSessionToken

    java.lang.Object
      org.gcube.common.searchservice.searchlibrary.resultset.elements.WSRSSessionToken

    public class WSRSSessionToken

extends java.lang.Object

reference to a ResultSet resource of a stateless service

Author:
  UoA

Constructor Summary
`WSRSSessionToken(java.lang.String serviceInstance, java.lang.String token)` Constructor

Method Summary
`static WSRSSessionToken` | `deserialize(java.lang.String session)` desirializes the given session token
`static java.lang.String` | `generateSessionToken()` generates a GUID for the session token
`java.lang.String` | `getServiceInstance()` retrieve service instance
`java.lang.String` | `getSessionToken()` retrieve session token
`static java.lang.String` | `serialize(WSRSSessionToken session)` serialize the given session token

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSRSSessionToken

    public WSRSSessionToken(java.lang.String serviceInstance,
                            java.lang.String token)

  Constructor

  Parameters:
    `serviceInstance` - the service instance
    `token` - the session token

Method Detail

### getServiceInstance

    public java.lang.String getServiceInstance()

  retrieve service instance

  Returns:
    the service isntance

### getSessionToken

    public java.lang.String getSessionToken()

  retrieve session token

  Returns:
    the session token

### generateSessionToken

    public static java.lang.String generateSessionToken()

  generates a GUID for the session token

  Returns:
    the session token

### serialize

    public static java.lang.String serialize(WSRSSessionToken session)

  serialize the given session token

  Parameters:
    `session` - the session token to serialize
  Returns:
    the serialized session token

### deserialize

    public static WSRSSessionToken deserialize(java.lang.String session)
                                        throws java.lang.Exception

  desirializes the given session token

  Parameters:
    `session` - the serialized session token
  Returns:
    the session token instnace
  Throws:
    `java.lang.Exception` - the serialization is not valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD